Bug 191863 - autofs does not umount CDROM
autofs does not umount CDROM
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: Reopened
: 192923 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-05-16 02:56 EDT by Mogens Kjaer
Modified: 2013-03-13 00:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: hal-0.5.7-3.fc5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-22 07:04:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Content of /proc/mounts (608 bytes, application/octet-stream)
2006-05-27 12:34 EDT, Mogens Kjaer
no flags Details

  None (edit)
Description Mogens Kjaer 2006-05-16 02:56:55 EDT
Description of problem:

I use autofs to mount CD/DVD drives on machines that does not
run X. Mounting works fine. However, the drive is never unmounted.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. cd /misc/cd
2. cd /root
Actual results:

/misc/cd is not unmounted

Expected results:

/misc/cd should umount after the timeout.

Additional info:


/misc   /etc/auto.misc --timeout=10


cd              -fstype=auto,ro,nosuid,nodev    :/dev/cdrom

Also, I cannot unmount the cd manually, neither with umount nor
with gnome-umount.
Comment 1 Ian Kent 2006-05-16 04:02:54 EDT
(In reply to comment #0)
> Description of problem:
> I use autofs to mount CD/DVD drives on machines that does not
> run X. Mounting works fine. However, the drive is never unmounted.

If you stop the HAL daemon (service haldaemon stop) does the
problem go away?

Comment 2 Mogens Kjaer 2006-05-16 04:08:40 EDT
Yes, it does.

How do I tell the hal dæmon to keep its hands
off /dev/cdrom ?
Comment 3 Ian Kent 2006-05-16 04:40:55 EDT
(In reply to comment #2)
> Yes, it does.
> How do I tell the hal dæmon to keep its hands
> off /dev/cdrom ?

Wish I new.

I've reported it to the HAL folks but have had no feedabck
on a resolution yet. So I'm not sure how to get this resolved.

I'll post to this BZ when I know more.

Comment 4 Jeffrey Moyer 2006-05-16 10:17:19 EDT
Reassigning to HAL.
Comment 5 John (J5) Palmieri 2006-05-16 12:27:32 EDT
Turn HAL off.  autofs and hal don't mix well because HAL probes some devices to
detect media inserts.  This causes autofs to mount the drive.  I don't think
there is a solution here except to make autofs HAL aware.  If you don't run X or
NetworkManager you should be fine turning off HAL.
Comment 9 Jeffrey Moyer 2006-05-16 14:22:44 EDT
In this case, it's better to turn autofs off.  ;)  You really don't need autofs
managing your removable media.  The udev/hal combination can provide much richer
functionality for removable media than autofs was ever intended to.

So, by "turn autofs off", I really mean get rid of the entries in auto.misc that
reference removable media.  Included in that list would be cdrom and the floppy
disk entry.

I think we can close this as NOTABUG.  If you disagree, please feel free to
re-open it and explain.

Comment 10 Mogens Kjaer 2006-05-16 16:01:22 EDT
Please explain to me how I obtain the same/better functionality
than autofs on an FC5 machine not running X.

If gnome-mount is the answer, I would prefer to run the machine
without the haldaemon running.

As autofs is included in FC5, and it doesn't work, I would still
call it a bug, fixable or not.
Comment 11 John (J5) Palmieri 2006-05-16 16:10:16 EDT
just disable HAL then if you don't need the functionality.
Comment 12 Mogens Kjaer 2006-05-16 16:14:46 EDT
How would I know if I need the functionality? :-)
Comment 13 John (J5) Palmieri 2006-05-16 16:18:46 EDT
As long as you don't use NetworkManager or care about mounting via an X desktop
you should be fine.  Of course this will become less and less true as HAL get
more deeply integrated.  We are working on a way to let autofs and HAL play nice.  
Comment 14 Daniel Qarras 2006-05-24 05:23:26 EDT
I just filed bug 192923 that might have some relevance with this.
Comment 15 Ian Kent 2006-05-24 08:04:34 EDT
(In reply to comment #14)
> I just filed bug 192923 that might have some relevance with this.

This problem is definitely HAL triggering a mount immediately
after the expire. John has put together a patch for HAL which
should resolve it.

Comment 16 John (J5) Palmieri 2006-05-24 18:05:59 EDT
*** Bug 192923 has been marked as a duplicate of this bug. ***
Comment 17 John (J5) Palmieri 2006-05-24 18:07:13 EDT
New packages should show up in testing soon.  Please test and tell me if there
are any issues before I push to final.  Thanks.
Comment 18 Fedora Update System 2006-05-24 19:24:44 EDT
hal-0.5.7-3.fc5.3 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 19 Mogens Kjaer 2006-05-26 06:46:28 EDT
hal-0.5.7-3.fc5.3 doesn't quite solve this problem.

When the autofs timeout has expired (10 sec. in my case),
the drive is unmounted (I can see the LED on the drive
flicker), but it is immediately mounted again.

One has to wait a couple of minutes, then the drive is unmounted
and not mounted again. 
Comment 20 John (J5) Palmieri 2006-05-26 11:48:44 EDT
can you attach the contents of /proc/mounts?  Thanks.
Comment 21 Mogens Kjaer 2006-05-27 12:34:15 EDT
Created attachment 130068 [details]
Content of /proc/mounts

This is the contents of /proc/mounts

I made a script that saves the contents of /proc/mounts every two
seconds. While this script runs, the CDROM drive stays mounted.
Comment 22 Daniel Qarras 2006-05-29 03:06:22 EDT
I tested hal-0.5.7-11 from rawhide and I can confirm that it fixes
haldaemon/autofs interaction problem that I reported in bug 192923.


Note You need to log in before you can comment on or make changes to this bug.